为什么在缓存中使用AAPT2而不是使用我的build-tools Android插件3.2.1?
信息: 下载 https://dl.google.com/dl/android/maven2/com/android/android/build/build/aapt2/3.2.1-4818971/aapt2-2.1-2.1-2.1-1.1-1-1-4818971.pom 下载 https://dl.google.com/dl/android/maven2/com/android/android/tools/build/aapt2/3.2.1-4818971/aapt2 AAPT2 aapt2-3.2.1-4818971-linux Daemon #5: Unexpected error output:/root/.gradle/caches/transforms-1/files-1.1/aapt2-3.2.1-4818971-linux.jar/28466e2cbc873eea3f650b3c015e2502/aapt2- 3.2.1-4818971-linux/aapt2:/l
6 2024-02-06
编程技术问答社区
CentOS 64位坏的ELF解释器
我刚刚安装了CentOS 6 64位版本,我正在尝试在64位计算机上安装32位应用程序,并收到此错误: /lib/ld-linux.so.2:不良精灵解释器:没有这样的文件或目录 如何解决这个问题? 解决方案 您正在使用64位系统,并且没有安装32位库支持. 安装(基线)支持32位可执行文件 (如果您不在设置中使用sudo,请阅读下面的注释) Fedora/Red Hat系列中的大多数桌面Linux系统: pkcon install glibc.i686 可能有些桌面Debian/Ubuntu Systems?: pkcon install ia32-libs fedora或较新的红色帽子,centos: sudo dnf install glibc.i686 较老的Rhel,Centos: sudo yum install glibc.i686 甚至较老的Rhel,Centos: sudo
0 2024-01-08
编程技术问答社区
Oracle TNS权限被拒绝 *
我正在使用: Centos 6.7 Zend.1.2.15使用OCI8,使用InstantClient 11.2 x64 PHP 5.4.45 尝试连接到Oracle: Oracle数据库10G版本10.2.0.4.0 已经检查了凭据,已经尝试将其连接到其他Oracle服务器,但是错误仍然相同: 12546 ORA-12546: TNS:permission denied * 已经允许0777允许/usr/local/oracle/11.2/client64/在其他答案之后,但没有解决. 服务器没有任何黑名单的IP. 同一代码在带有OracleInstantClient的任何其他Windows PC中运行,并且在服务器上无需进一步的配置,以提供IP权限以访问或任何许可. 我还能检查更多解决这个问题吗? 解决方案 几个小时搜索后,我找到了这篇文章: http://www.emsperformance.net/2013/12/2
0 2023-12-26
编程技术问答社区
无法在centos 6上安装vsftpd
我在CentOS上安装VSFTPD时遇到困难.当我输入命令 时 yum install vsftpd 我得到以下内容: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirror.widexs.nl * extras: mirror.serverbeheren.nl * updates: mirror.serverbeheren.nl Setting up Install Process No package vsftpd available. Error: Nothing to do 我不知道该如何解决.有人有主意吗?我应该添加另一个仓库,如果是这样,我该怎么做?我是Centos的新手,我已经习惯了Ubuntu,我可以使用Apt-Get安装大多数东西. 预先感谢! 解决方案 安装存储库 wget http://dl.fedora
4 2023-12-25
编程技术问答社区
为32位和64位的yum仓库设置,mysql连接器
在我的存储库设置中,我有以下内容: [mysql-connectors-community] name=MySQL Connectors Community baseurl=http://repo.mysql.com/yum/mysql-connectors-community/el/6/$basearch/ enabled=1 gpgcheck=1 gpgkey=file:/etc/pki/rpm-gpg/RPM-GPG-KEY-mysql 因为我的机器是一台64位机器,所以我的basesearch是x86_64(请参见下面的Yum-Debug-Dump输出): yum-debug-dump version 1 %%%%SYSTEM INFO uname: 2.6.32-573.12.1.el6.x86_64, x86_64 rpm ver: RPM version 4.8.0 python ver: 2.6.6 (r266:84292, Aug 18 20
8 2023-12-25
编程技术问答社区
在Centos 6上安装libsodium的问题
我正在运行CentOS 6.7,Apache和PHP 5.4.x.我正在使用Epel和Remi存储库.我正在尝试安装libsodium扩展. 我的理解是,我需要先安装libsodium,然后再安装扩展名.基于谷歌搜索,要获取正确的版本,我结束了: yum --enablerepo=remi install php54-php-pecl-libsodium 我得到以下结果: Installed: php54-php-pecl-libsodium.x86_64 0:1.0.5-1.el6.remi Dependency Installed: audit-libs-python.x86_64 0:2.3.7-5.el6 environment-modules.x86_64 0:3.2.10-2.el6 libcgroup.x86_64 0:0.40.rc1-17.el6_7 libselinux-python.x86_64 0:2.0.94-5.8.
2 2023-12-25
编程技术问答社区
在CentOS上升级到python 2.7后,如何安装2.7版本的python-devel?
Centos 6.7船与Python 2.6.6,我升级为Python 2.7.6,此后,教程 https://www.digitalocean.com/community/community/tutorials/how-to-to-to-set -up-python-2-7-7-6和3-3-3-3-on-centos-6-4 升级Python版本后,我想安装python-devel package for Python 2.7,所以我运行命令: yum search python | grep -i devel yum install python-devel.x86_64 但是,包装版本似乎没有更改(仍然是2.6.6),这是消息: $ yum install python-devel.x86_64 Loaded plugins: security Setting up Install Process Package python-devel-2.6.6-64.e
6 2023-12-25
编程技术问答社区
用yum和pear安装php-soap都失败了
我正在尝试在CentOS 6.4服务器上安装PHP的SOAP扩展.我对包装管理人员非常不熟悉,从CLI中安装软件包并将其配置在PHP中.我在管理php.ini和其他php配置文件(soap.ini等)方面非常有能力. 我尝试使用命令: 安装此程序 yum install php-soap ,但这给了我以下错误: yum install php-soap Loaded plugins: downloadonly, fastestmirror Setting up Install Process Loading mirror speeds from cached hostfile drivesrvr
6 2023-12-25
编程技术问答社区
删除docker-io后在CentOS 6上安装Docker
一段时间以来,docker-io软件包已被用于在CentOS上安装Docker6. 自本月初以来,此软件包似乎不再可用: [root@e0-01.p:0 yum.repos.d]# yum install docker-io Loaded plugins: fastestmirror, presto Setting up Install Process Determining fastest mirrors * base: mirror.intergrid.com.au * extras: mirror.ventraip.net.au * updates: mirror.ventraip.net.au base | 3.7 kB 00:00 base/primary_db
2 2023-12-25
编程技术问答社区
Linux-Yum Install GCC-Missing Kernel-headers
每当我尝试在Linux(CentOS)上安装GCC时,它会带来丢失 glibc-headers-2.5-58.el5_6.4.x86_64来自更新中的问题 - >缺失依赖性:kernel-headers tagkage glibc-headers-2.5-- 58.EL5_6.4.x86_64(更新) Glibc-Headers-2.5-58.el5_6.4.4.x86_64来自更新的问题有解决问题 - > 缺少依赖性:内核标头> = 2.2.1是包装glibc-headers-2.5-58.el5_6.4.x86_64(更新) 错误:缺失依赖性:内核 - 标头> = 2.2.1是包装glibc-headers-2.5-58.el5_6.4.x86_64(更新) 错误:缺少依赖性:包装套件glibc-Headers-2.5-58.el5_6.4.x86_64(更新) 我尝试yum安装内核 - 头和内核 - 台词,但请返回: 无需包装内核头. 有什
18 2023-12-25
编程技术问答社区
yum install texinfo on CentOS 6.6 (no package)
要解决我的一个程序之一的某些依赖性,我必须在CentOS 6.6 System 上安装TexInfo yum install texinfo 导致 Setting up Install Process No package texinfo available Error: Nothing to do 我不知道如何解决这个问题.到目前为止,我已经下载了有人可以将我指向正确的方向吗? 解决方案 texinfo由BASE repo提供. Available Packages Name : texinfo Arch : x86_64 Version : 4.13a Release : 8.el6 Size : 668 k Repo : base Summary : Tools needed to create Texinfo format documentation files U
2 2023-12-25
编程技术问答社区
YumRepo错误。所有的镜像URL都没有使用ftp、http[s]或文件
我已经在主机笔记本电脑上使用VMWare Workstation 9设置了centOS 6.5 server.尝试使用yum安装软件包时,我会收到以下错误: [root@localhost ~]# yum update Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile YumRepo Error: All mirror URLs are not using ftp, http[s] or file. Eg. / removing mirrorlist with no valid mirrors: /var/cache/yum/i386/6/base/mirrorlist.txt Error: Cannot find a valid baseurl for repo: base VM可以在其他机器上使用(Windows 7台式机和Windows 8.1笔记本电脑),而不
10 2023-12-25
编程技术问答社区
yum install php-mysql 无法安装 Centos
我很难安装PHP-MYSQL,我做以下操作: yum -y install php-mysql ,但要获取以下内容: Loaded plugins: fastestmirror, security Loading mirror speeds from cached hostfile * base: centos.escapemg.com * extras: mirror.chpc.utah.edu * updates: mirrors.xmission.com Setting up Install Process No package php-mysql available. Error: Nothing to do 我做了yum repolist disabled并启用了yum-config-manager --enable C6.1-base,但仍然保持相同的软件包php-mysql. 解决方案 我弄清楚了,看来/etc/yum.conf中的mysq
10 2023-12-25
编程技术问答社区
在 CentOS 6.5(最终版)上升级 PHP
我正在尝试更新我的php(当前V:5.3.3为最新的稳定PHP构建),但它不是在玩球,而且没有什么可更新的. 任何帮助都会有用. 一直说: 没有标记为更新的软件包 解决方案 正如雅各布(Jacob)所述,CentOS软件包回购目前仅具有可用的PHP 5.3.但是这些命令似乎对我有用... rpm -Uvh http://mirror.webtatic.com/yum/el6/latest.rpm yum remove php-common # Need to remove this, otherwise it conflicts yum install php56w yum install php56w-mysql yum install php56w-common yum install php56w-pdo yum install php56w-opcache php --version # Verify ver
2 2023-12-25
编程技术问答社区
ejabberd状态显示错误,而服务器正在运行
我正在尝试在服务器上配置 ejabberd . 我完成了安装.以下命令序列给出了意外的输出: $ ejabberd start $ ejabberd status 在此序列中, ejabbed 启动了,我们能够访问Web Admin界面. 但是在运行ejabberd status后给出以下输出: Failed to create main carrier for temp_alloc /sbin/ejabberdctl: line 412: 9616 Aborted $EXEC_CMD "$ERL $NAME ${CONN_NAME} -noinput -hidden -pa $EJABBERD_EBIN_PATH $KERNEL_OPTS -s ejabberd_ctl -extra $ERLANG_NODE $COMMAND" 更新 执行$
4 2023-12-25
编程技术问答社区
Xdebug不能与PHPStorm一起工作
我将phpstorm与xdebug一起逐步介绍我的代码. PHPSTOMS正在Windows 7机器上运行,而我的本地网络服务器正在单独的CentOS 6.4机器上运行.我已经完成了phpinfo();来验证Xdebug是否正在由PHP加载,并且是.以下是我在php.ini中的xdebug的设置: [xdebug] zend_extension="/usr/lib/php/modules/xdebug.so" xdebug.remote_enable = 1 xdebug.remote_port = 9000 xdebug.remote_host = "192.168.1.130" xdebug.remote_log = "/var/log/httpd/xdebug_log" 我类似地设置了phpstorm将我的CentOS服务器用作调试服务器,并且我会收听连接.我将静态IP分配给这两台机器.使用Chrome Xdebug插件
4 2023-12-20
编程技术问答社区
仅在命令行中设置Xdebug中断点
我正在使用PHP维护脚本挣扎,我正在寻找一种仅在命令行中使用Xdebug的方法(例如GDB Old-School),但我无法弄清楚如何设置断点,请执行步骤 - ininto,逐步继续. xdebug正在启动并运行,如phpinfo();所说. 我发现了很多关于如何使用Eclipse和其他工具来执行此操作的文档,但没有CLI.谁能帮我吗?我的环境是Centos 6和Bash. 任何帮助都将不胜感激. 谢谢! 解决方案 这实际上是可能的.在Xdebug源下载中,您会找到一个名为" DebugClient"的目录.在此目录中,您会找到一个非常 简单的客户端接受RAW DBGP命令,并将输出作为XML.要编译,您运行: apt-get安装libedit-dev(或同等) ./buildconf ./configure -with-libedit make 然后,您可以使用./debugclient. 运行二进制文件 在其他外壳上,您将运行以下内容:
6 2023-12-20
编程技术问答社区
如何使用wsgi在centos上运行django?
我尝试了2种方法来配置WSGI将DJANGO用于我的网站. 我的根项目文件在/var/run/myapp中. 这是我的wsgi.py: import os os.environ['DJANGO_SETTINGS_MODULE'] = 'myApp.settings' import django.core.handlers.wsgi application = django.core.handlers.wsgi.WSGIHandler() 1.我安装了在Apache上运行Django并使用CentOS作为OS的所有内容.我使用这个网站运行wsgi.i使用此命令来设置我的服务器: mod_wsgi-express setup-server wsgi.py --port=80 --user test --group test --server-root=/var/run/myApp/mod_wsgi-express-80 之后我运行此命令,一切都很好: /var/r
0 2023-12-15
编程技术问答社区
如何知道Wordpress在安装插件时使用的是哪个linux用户?
我正在尝试设置WordPress,以便能够通过CentOS 6 VPS上的SFTP(SSH)安装插件. 我已经能够修改wp-config,因此它将与user的正确凭据用作我的sftp用户. 现在我有一个相关的问题,好像我在wp-content文件夹上做chmod 777一样,我可以安装,但是有了正常的权限,它就无法创建文件夹. 我正在使用nginx,我所有的wp-content文件和文件夹均由user所有,我尝试将组设置为nginx,但它不起作用. 我也尝试将用户设置为nginx,但仍然没有运气. 更新:我发现WordPress使用了apache作为用户,但我想改用我的user.我该怎么做? 解决方案 在您的生产服务器上,WordPress index.php文件中,在顶部,您可以暂时放置echo(exec("whoami"));die(); 然后浏览您的WordPress网站,看看用户正在运行什么.在Ubuntu上,我的是www-data.
8 2023-12-11
编程技术问答社区
如何在CentOS 6.5中安装docker 1.9+?
我现在部署在CentOS 6.5上,现在我开始使用Docker. 所以,我遵循以下说明:/安装/centos/ 无论我要安装哪种方法,我都会获得 1.7.1 . 的版本 [root@VM_72_235_centos ~]# docker version Client version: 1.7.1 Client API version: 1.19 Go version (client): go1.4.2 Git commit (client): 786b29d/1.7.1 OS/Arch (client): linux/amd64 Server version: 1.7.1 Server API version: 1.19 Go version (server): go1.4.2 Git commit (server): 786b29d/1.7.1 OS/Arch (server): linux/amd64 ,但现在我在文档中运行命令: docker networ
14 2023-11-30
编程技术问答社区